Subject: Re: bug#68339: 29.1; Emacs doesn't support Microsoft PinYin Input Method well

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Jan 2024 16:13:12 +0200

> From: Gao Feng <[email-masked]>
> Date: Mon, 8 Jan 2024 23:54:18 +0000
> 
> Many of us are using Microsoft PinYin Input Method to input Chinese in Windows System. However,
> its font size in emacs is too small to be seen while VIM doesn't have this issue.
> 
> With the help of emacser from Emacs China, it seems that the cause is that the im font size is fixed in
> emacs while VIM has code to deal with it
> (https://github.com/vim/vim/blob/124371c5a149a8c0c75c04b6c90ac11e71a0aa97/src/gui_w32.c#L5862-L5875).

Maybe that Emacs user from China could also suggest a patch for Emacs
to fix this issue?

Po Lu, any comments or suggestions?

The Vim code uses ImmSetCompositionFont function to set the font.  I
don't have a good idea how to choose a font for that function, but
perhaps we could use ImmGetCompositionFont to retrieve the font used
by default, and then change its height and call ImmSetCompositionFont?

I'm just stabbing in the dark, and I don't have a way of testing these
ideas anyway.